Page MenuHomePhabricator

Improve and streamline VisualEditor's user education features
Closed, DeclinedPublic

Description

We need to do a better job helping users understand how to use VisualEditor. This could cover everything from better tooltips on buttons to removal of outdated messages to a more intensive guided tour–type walkthrough for new users.

Proposal for guided tour walkthrough for following features

  • Adding a link
  • Adding a citation

Eligibility for showing education for Link tool

  • New user + First edit + Typed something

Eligibility for showing education for Citation tool

  • New user + Second edit + Typed something

Interaction prototype for showing the education based on above eligibility

Mockups for education dialog

  • Call to action for Citation education bubble: "Add a citation"

    Call to action for Link education bubble: "Okay, got it"

    Event Timeline

    Neil_P._Quinn_WMF updated the task description. (Show Details)
    Neil_P._Quinn_WMF raised the priority of this task from to Normal.
    Neil_P._Quinn_WMF claimed this task.
    Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2015, 1:29 AM
    Elitre added a subscriber: Elitre.Jun 5 2015, 5:52 PM

    This was discussed at the weekly triage meeting on 2015-06-09. We decided that this was too large in scope to be added to this current quarter, but components of it would be good candidates, and that overall it should be nominated for next quarter.

    Pine added a subscriber: Pine.Jun 20 2015, 8:34 AM

    @Quiddity, I removed T101211 as a blocker because I intended this task to be about education features in the software itself, not broader advertising efforts. Pushback welcome.

    Pine added a comment.Jul 2 2015, 10:06 PM

    Note that VE training video, mostly aimed at new editors, is in development.

    ggellerman moved this task from Backlog to Paused on the Design-Research board.
    ggellerman moved this task from Paused to In Progress on the Design-Research board.
    Nirzar updated the task description. (Show Details)Aug 3 2015, 7:29 PM

    Here's the interaction prototype

    Mockups for the popovers for links and citations

    aripstra moved this task from In Progress to Blocked on the Design-Research board.Aug 3 2015, 10:31 PM

    Note that VE training video, mostly aimed at new editors, is in development.

    Anything you could share with us already (ie., the script)? Thanks.

    Pine added a comment.Aug 7 2015, 5:13 AM

    Nothing yet. I'm in discussions with Victor Grigas. I'm juggling a lot of balls, not sure when I will have more to share about the VE-specific script. In the longer term, I am drafting an IEG proposal here for a more comprehensive video, and would welcome comments and suggestions on the talk page: https://meta.wikimedia.org/wiki/Grants:IEG/Motivational_and_educational_video_to_introduce_Wikimedia

    Harej added a subscriber: Harej.Aug 25 2015, 4:41 AM

    As part of my work with the National Institute for Occupational Safety and Health (part of the U.S. Centers for Disease Control and Prevention), I've drawn up some leaflets that take a different approach to training Wikipedia editors. This is because I found the current materials focus heavily on wikitext markup, whereas I would like to get beyond that and have people focus on meaningful content contributions that are facilitated by VisualEditor. The flyers are available below for all to use:

    https://commons.wikimedia.org/wiki/File:Wikipedia_Help_Sheet_-_Turn_on_VisualEditor.pdf
    https://commons.wikimedia.org/wiki/File:Wikipedia_Help_Sheet_-_Editing_Wikipedia_with_VisualEditor.pdf
    https://commons.wikimedia.org/wiki/File:Wikipedia_Help_Sheet_-_Guidelines.pdf

    Neil_P._Quinn_WMF closed this task as Declined.Sep 22 2015, 9:06 PM

    This task is really a tracker without any clear purpose of its own; I'm going to go ahead and close it. The person who filed it should be hung upside down by their ankles as punishment.

    I wrote this in response to an email asking what I meant by closing this; posting just in case someone else is curious:

    I'm just closing the tracking task because it doesn't really have a purpose; there's no clear milestone or accomplishment that would allow us to close it. It doesn't represent any work other than the sum of the blocking tasks, whose implementation isn't connected. For all these reasons, we've moved away from tracking tasks in general; it was a bad idea to open this one in the first place (my bad idea :)

    "Improving and streamlining education" is still very much a goal, and all the blocking tasks are still open; this is just housekeeping. That said, if you feel strongly that it should stay open, you're welcome to reopen it!

    It wouldn't make sense to reopen something which was supposed to be a tracking task, and now doesn't have blocking tasks anymore. However, if "we've moved away from tracking tasks in general", it should be, from what I can tell, because we're now grouping things differently. For example, if I'm interested in VE bugs about links, I head to Visualeditor-mediawiki-links and can find all of them on that board. Now the only thing that keeps all these tasks together instead is having them listed above as removed tasks, which is suboptimal when you want to show a volunteer "here are all the things we've been working on when it comes to VE education".

    @Elitre, the general trend now is to use Phabricator projects instead of tracking tasks. If it would help you a lot to be able to find user guidance-related tasks, you should propose a project for it! Instructions are here; in this case I would suggest something like user-guidance; you could then find VE user guidance tasks by searching for the intersection of the two projects.